Subject: Re: question about cygwin terminal type
From: Thomas Dickey <[email-masked]>
To: Neil Zanella <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>, ncurses <[email-masked]>
Date: Sun, 29 Oct 2000 15:50:45 -0500

On Sun, Oct 29, 2000 at 02:32:41PM -0330, Neil Zanella wrote:
> 
> Could someone please explain to me what the cygwin terminal type is all
> about? If I telnet to a Sun workstation from Win2K with the supplied
> telnet program then the default terminal type is ansi. But if I click

That's probably incorrect (cygwin's terminal emulator differs in several
features that are normally in "ansi"), and is likely done to make it simple to
setup on the remote host.  Just to satisfy my own curiousity I'll retest cygwin
against "ansi" and see if I missed anything when making that terminfo entry.

> on the cygwin icon then ssh to a remote Sun computer then the default
> terminal window for Win2K (which looks the same as the one I get when I
> launch telnet) carries a cygwin terminal type. Now the white on
> black terminal emulation program that ships with Win2K is different than
> the black on white one that used to come on NT and Win95/98 and perhaps
> that's not the only thing that's changed. So after enterning a remote
> shell do I have to change my terminal type to asni or should I leave it
> as cygwin? The problem I had lately is that SIGWINCH did not seem to
> propagate well but that's another issue altogether I suppose.

SIGWINCH isn't related to the $TERM value (it's whether or not your
host supports the negotiations about window size)

-- 
Thomas E. Dickey <[email-masked]>
http://dickey.his.com
ftp://dickey.his.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]